Subject: Re: [PATCH]ipv6:use ipv6_addr_type instead of __ipv6_addr_type

From: Yang Hongyang <[email-masked]>
Date: Fri, 08 May 2009 16:18:11 +0800

David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Fri, 08 May 2009 00:44:20 -0700 (PDT)
> 
>> From: Yang Hongyang <[email-masked]>
>> Date: Fri, 08 May 2009 09:18:11 +0800
>>
>>> David Miller wrote:
>>>> From: Yang Hongyang <[email-masked]>
>>>> Date: Thu, 07 May 2009 15:47:38 +0800
>>>>
>>>>> Although the function of these two functions are the same,we should use the
>>>>> encapsulation function of __ipv6_addr_type
>>>>>
>>>>> Signed-off-by: Yang Hongyang<[email-masked]>
>>>> Are you sure?  ipv6_addr_type() masks out the upper 16-bits
>>>> of __ipv6_addr_type()'s return value, which is the scope.
>>>>
>>>> I'm not convinced that is what we want to do here.
>>> My advice here is that the function which has __ maybe shouldn't be directly used.
> 
> I also want to address this statement on it's own, it's simply
> not true.
> 
> "__" means "think carefully before using this function", or "this
> function requires a special environment for proper usage"
> 
> It DOES NOT mean "do not use directly."  It's never meant this.

I was wrong,thank you for your patience to explain this.

> 
> So ever basis for your patch is fundamentally flawed.
> 
> 

-- 
Regards
Yang Hongyang